import { MessageType, SharedBuffers, SharedSoftBodyBuffers, SoftBodyConfig, UUID } from "../../lib/types";
export declare const ptrToSoftBody: Record<number, UUID>;
declare function addSoftbody({ uuid, sharedSoftBodyBuffers, softBodyConfig, }: {
    uuid: UUID;
    sharedSoftBodyBuffers: SharedSoftBodyBuffers;
    softBodyConfig: SoftBodyConfig;
}): void;
declare function removeSoftbody({ uuid }: {
    uuid: UUID;
}): void;
export declare function updateSoftBodyBuffers(sharedBuffers: SharedBuffers): void;
export declare function copyToSoftBodyBuffers(): void;
export declare const softBodyEventReceivers: {
    8: typeof addSoftbody;
    9: typeof removeSoftbody;
};
export {};
